//
// JavaSearchWS.m
// Project
//
// Created by haibara on 5/11/17.
//
//

#import "JavaSearchWS.h"
#import "SDK.h"
#import "CocoaUtils.h"
#import "Vars.h"

@implementation JavaSearchWS

#pragma mark - Protected

- (NSString *)address {
	NSString *superclassName = NSStringFromClass(self.superclass);
	return [NSString stringWithFormat:@"%@/services/%@?wsdl", [Vars javaSearchEndpoint], superclassName];
}

- (NSString *)name {
	return NSStringFromClass(self.class);
}

- (NSString *)namespace {
	NSString *superclassName = NSStringFromClass(self.superclass);
	NSMutableString *string = [NSMutableString string];
	[string im_appendString:[superclassName substringToIndex:1].lowercaseString];
	[string im_appendString:[superclassName substringFromIndex:1]];
	return [NSString stringWithString:string];
}

@end
